%define oname scikits

BuildRequires(pre): rpm-build-python
%define python_noarch %_libexecdir/python%__python_version/site-packages

%define dirs1 ann audiolab delaunay timeseries hydroclimpy learn odes openopt
%define dirs2 samplerate optimization rsformats talkbox umfpack vectorplot
%define dirs %dirs1 %dirs2 statsmodels

%define docs_src audiolab/docs samplerate/docs talkbox/docs

Name: %oname
Version: 2216
Release: alt3
Summary: Add-on packages for SciPy
License: OSI-approved licenses
Group: Sciences/Other
Url: http://scikits.appspot.com/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# http://svn.scipy.org/svn/scikits/trunk
Source: %name-%version.tar.gz
# git://github.com/cournape/audiolab.git
Source1: audiolab.tar.gz
# git://github.com/cournape/samplerate.git
Source2: samplerate.tar.gz
# git://github.com/cournape/talkbox.git
Source3: talkbox.tar.gz
Source4: site.cfg
# https://code.launchpad.net/statsmodels
Source5: statsmodels.tar.gz

BuildPreReq: python-module-sphinx /usr/bin/latex
BuildPreReq: python-devel python-module-scipy swig gcc-c++ gcc-fortran
BuildPreReq: libsuitesparse-devel libann-devel libsndfile-devel boost-devel
BuildPreReq: libglpk-devel >= 4.38 python-module-cvxopt python-module-pswarm_py
BuildPreReq: python-module-pyipopt python-module-pywrapper libatlas-devel
BuildPreReq: libsamplerate-devel python-module-Cython python-module-tables
BuildPreReq: python-module-h5py python-module-BeautifulSoup libalsa-devel
BuildPreReq: python-module-pyproj python-module-rpy
#BuildPreReq: libsundials-devel python-module-pysundials

%description
SciKits (short for SciPy Toolkits), are add-on packages for SciPy,
hosted and developed separately from the main SciPy distribution. All
SciKits are available under the 'scikits' namespace and are licensed
under OSI-approved licenses.

%package -n python-module-%name
Summary: Add-on packages for SciPy
Group: Development/Python
%setup_python_module %name
%py_requires tables matplotlib BeautifulSoup
%add_python_req_skip models pyhdf
# awaiting packages:
%add_python_req_skip pysundials

%description -n python-module-%name
SciKits (short for SciPy Toolkits), are add-on packages for SciPy,
hosted and developed separately from the main SciPy distribution. All
SciKits are available under the 'scikits' namespace and are licensed
under OSI-approved licenses.

This package contains SciKits python modules.

%description -n python-module-%name
SciKits (short for SciPy Toolkits), are add-on packages for SciPy,
hosted and developed separately from the main SciPy distribution. All
SciKits are available under the 'scikits' namespace and are licensed
under OSI-approved licenses.

This package contains SciKits python modules.

%package -n python-module-%name-doc
Summary: Documentation for SciPy Toolkits (SciKits)
Group: Development/Documentation
BuildArch: noarch

%description -n python-module-%name-doc
SciKits (short for SciPy Toolkits), are add-on packages for SciPy,
hosted and developed separately from the main SciPy distribution. All
SciKits are available under the 'scikits' namespace and are licensed
under OSI-approved licenses.

This package contains documentation for SciKits.

%prep
%setup
tar -xzf %SOURCE1
tar -xzf %SOURCE2
tar -xzf %SOURCE3
tar -xzf %SOURCE5
install -m644 %SOURCE4 umfpack

%build
%ifarch x86_64
SUFF=64
%endif
sed -i "s|@SUFF@|$SUFF|" umfpack/site.cfg

for dir in %dirs; do
	pushd $dir
	%python_build
	popd
done

sed -i "s|,\ 'numpydoc',\ 'only_directives'||" \
	audiolab/docs/src/conf.py \
	samplerate/docs/src/conf.py \
	talkbox/docs/src/conf.py

cat <<EOF >talkbox/docs/src/talkbox_version.py
short_version = "0.2.3"
version = "0.2.3.release"
EOF

for i in %docs_src; do
	pushd $i
	%make html
	popd
done

%install
for dir in %dirs; do
	pushd $dir
	%python_install
	popd
done

%ifarch x86_64
# rsformats, statsmodels, optimization
mv %buildroot%python_noarch/%name/* \
	%buildroot%python_sitelibdir/%name/
mv %buildroot%python_noarch/%name.* \
	%buildroot%python_sitelibdir/
%endif

# docs

for i in %docs_src statsmodels/%oname/statsmodels/docs
do
	DIR=$(echo $i|sed 's|\([^/]*\).*|\1|')
	install -d %buildroot%_docdir/%name/$DIR
	cp -fR $i/build/html/* %buildroot%_docdir/%name/$DIR/
done

# examples

for i in odes/docs/src/examples hydroclimpy/examples \
	rsformats/scikits/rsformats/examples
do
	DIR=$(echo $i|sed 's|\([^/]*\).*|\1|')
	install -d %buildroot%python_sitelibdir/%name/$DIR
	touch %buildroot%python_sitelibdir/%name/$DIR/__init__.py
	cp -fR $i %buildroot%python_sitelibdir/%name/$DIR/
done
touch %buildroot%python_sitelibdir/%name/rsformats/examples/aster/__init__.py
touch %buildroot%python_sitelibdir/%name/rsformats/examples/odl_parsing/__init__.py

%files -n python-module-%name
%python_sitelibdir/*

%files -n python-module-%name-doc
%_docdir/%name

%changelog
* Sat Oct 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2216-alt3
- Changed requirement: toms_587 -> toms587

* Fri Oct 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2216-alt2
- Enabled requirements on existent packages; awaiting updates for
  PySUNDIALS in upstream
- Built with texlive instead of tetex

* Sun Sep 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2216-alt1
- Initial build for Sisyphus

